=== debian/changelog ===
gr-hpsdr (0.0.0.bb77f3c-2~bpo8+3) jessie-backports; urgency=medium

  * Re-Rebuild for jessie-backports
    (ensure build with gnuradio 3.7.10.1-1~bpo8+1 on non-amd64 arch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Apr 2017 23:43:39 -0400

gr-hpsdr (0.0.0.bb77f3c-2~bpo8+2) unstable; urgency=medium

  * Rebuild for jessie-backports gnuradio 3.7.10.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:29:06 -0400

gr-hpsdr (0.0.0.bb77f3c-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Feb 2016 07:12:53 -0500

gr-hpsdr (0.0.0.bb77f3c-2) unstable; urgency=medium

  * depends upon swig

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Feb 2016 01:03:06 -0500

gr-hpsdr (0.0.0.bb77f3c-1) unstable; urgency=low

  * Initial package (Closes: #799026)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Jan 2016 12:47:50 -0500
