=== debian/control ===
Source: gr-hpsdr
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               gnuradio-dev (>>3.7.9.3),
               libboost-filesystem-dev,
               libboost-system-dev,
               pkg-config,
               python,
               python-cheetah,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/Tom-McDermott/gr-hpsdr
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-hpsdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-hpsdr.git/

Package: libgnuradio-hpsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-hpsdr
Description: gnuradio library for HPSDR Hermes / Metis
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at least 3.1.
 .
 This package contains the shared library.

Package: gr-hpsdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-hpsdr0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio interface module for HPSDR Hermes / Metis
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at least 3.1.
 .
 This package contains the header files and grc block definitions.
