=== debian/changelog ===
gr-hpsdr (1.2-1ubuntu2) focal; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:30:59 +0100

gr-hpsdr (1.2-1ubuntu1) focal; urgency=medium

  * Force python2 interpreter

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2020 13:23:28 +0100

gr-hpsdr (1.2-1) unstable; urgency=medium

  * New upstream release
  * build with gnuradio 3.7.11
  * add watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 01:11:38 -0400
