=== debian/control ===
Source: gr-hpsdr
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               gnuradio-dev (>= 3.7.11),
               libboost-filesystem-dev,
               libboost-system-dev,
               pkg-config,
               python2,
               python-cheetah,
               swig
Standards-Version: 4.1.0
Homepage: https://github.com/Tom-McDermott/gr-hpsdr
Vcs-Git: git://anonscm.debian.org/pkg-hamradio/gr-hpsdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gr-hpsdr.git/

Package: libgnuradio-hpsdr1.2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-hpsdr
Description: gnuradio library for OpenHPSDR protocol 1
 Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
 using the OpenHpsdr protocol.
 .
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through 3.2. (known as OpenHPSDR protocol 1). It
 is not compatible with the new OpenHPSDR protocol 2.
 .
 This package contains the shared library.

Package: gr-hpsdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-hpsdr1.2 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio interface module for OpenHPSDR protocol 1
 Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
 using the OpenHpsdr protocol.
 .
 hermesNB sources decimated downconverted 48K-to-384K receiver complex
 stream(s), and sinks one 48k sample rate transmit complex stream.
 .
 hermesWB sources raw ADC samples as a vector of floats, with
 vlen=16384. Each individual vector contains time contiguous
 samples. However there are large time gaps between vectors. This is
 how HPSDR produces raw samples, it is due to Ethernet interface rate
 limitations between HPSDR and the host computer.
 .
 The modules are compatible with version 3.7 of gnuradio and versions of
 Hermes firmware 1.8 through at 3.2. (known as OpenHPSDR protocol
 1). It is not compatible with the new OpenHPSDR protocol 2.
 .
 This package contains the header files and grc block definitions.
