## gr-hpsdr 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 project(gr-hpsdr CXX C)
 
 #### Enable c++ 11     For lists     Added July 2017
-set(CMAKE_CXX_FLAGS "-std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 
 enable_testing()
