=== debian/changelog ===
gr-hpsdr (1.2.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 27 Apr 2020 12:13:49 -0400

gr-hpsdr (1.2.1-2) unstable; urgency=medium

  * source-only upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Apr 2020 19:09:59 -0400

gr-hpsdr (1.2.1-1) unstable; urgency=medium

  * New upstream tag
  * port to gnuradio 3.8, Python3 (Closes: #936659)
  * DH 12, bump S-V, priority optional.
  * Move Vcs headers to salsa. (Thanks Christoph Berg)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 20:09:58 -0400
