=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: gr-hpsdr
 Section: libdevel
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Priority: optional
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (=12),
                dh-python,
                doxygen,
-               gnuradio-dev (>= 3.7.11),
+               gnuradio-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
+	       liborc-0.4-dev,
                pkg-config,
-               python2,
-               python-cheetah,
+               python3,
+               python3-mako,
+	       python3-six,
                swig
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/Tom-McDermott/gr-hpsdr
-Vcs-Git: git://anonscm.debian.org/pkg-hamradio/gr-hpsdr.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gr-hpsdr.git/
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr
 
-Package: libgnuradio-hpsdr1.2
+Package: libgnuradio-hpsdr1.2.1
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -40,8 +42,8 @@
 Package: gr-hpsdr
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgnuradio-hpsdr1.2 (=${binary:Version}),
-         ${misc:Depends},
+Depends: libgnuradio-hpsdr1.2.1 (=${binary:Version}),
+         ${misc:Depends}, ${python3:Depends},
          ${shlibs:Depends}
 Description: gnuradio interface module for OpenHPSDR protocol 1
  Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
