=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DH_VERBOSE=1
export DH_VERBOSE

%:
	dh $@ --with python3

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_install:
	rm -f debian/tmp/usr/lib/python3*/dist-packages/hpsdr/*.pyc
	rm -f debian/tmp/usr/lib/python3*/dist-packages/hpsdr/*.pyo
	dh_install
