=== debian/changelog ===
gr-hpsdr (3.0-2build2) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:58:58 +0000

gr-hpsdr (3.0-2build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:43:32 +0000

gr-hpsdr (3.0-2) unstable; urgency=medium

  * upload to unstable
  * upstream refactor removes sockaddr_dl and LLADDR (Closes: #875467)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 09 Dec 2021 20:18:19 -0500

gr-hpsdr (3.0-1) experimental; urgency=medium

  * New upstream release
  * update to v3.0-1-gbc3cb24

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Nov 2021 00:22:25 -0500

gr-hpsdr (2.0-2) unstable; urgency=medium

  * upload to unstable for transitions
  * Incorporate Debian Janitor fixes:
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2020 20:47:46 -0400

gr-hpsdr (2.0-1) experimental; urgency=medium

  * New upstream release v2.0
  * update to 2.0-2-gd7e9f3e
  * upload to experimental due to SONAME bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2020 18:47:53 -0400
