=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: gr-hpsdr
 Section: libdevel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (=12),
+	       debhelper-compat (= 13),
                dh-python,
                doxygen,
-               gnuradio-dev,
+               gnuradio-dev (>=3.9),
                libboost-filesystem-dev,
                libboost-system-dev,
-	       liborc-0.4-dev,
                pkg-config,
                python3,
                python3-mako,
-	       python3-six,
-               swig
-Standards-Version: 4.5.0
+	       python3-numpy
+Standards-Version: 4.6.0
 Homepage: https://github.com/Tom-McDermott/gr-hpsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-hpsdr
 
-Package: libgnuradio-hpsdr1.2.1
+Package: libgnuradio-hpsdr1.0.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -33,7 +30,7 @@
  Hardware supported includes OpenHPSDR Hermes / Metis and Red Pitaya
  using the OpenHpsdr protocol.
  .
- The modules are compatible with version 3.7 of gnuradio and versions of
+ The modules are compatible with version 3.8 of gnuradio and versions of
  Hermes firmware 1.8 through 3.2. (known as OpenHPSDR protocol 1). It
  is not compatible with the new OpenHPSDR protocol 2.
  .
@@ -42,7 +39,7 @@
 Package: gr-hpsdr
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgnuradio-hpsdr1.2.1 (=${binary:Version}),
+Depends: libgnuradio-hpsdr1.0.0 (=${binary:Version}),
          ${misc:Depends}, ${python3:Depends},
          ${shlibs:Depends}
 Description: gnuradio interface module for OpenHPSDR protocol 1
@@ -58,7 +55,7 @@
  how HPSDR produces raw samples, it is due to Ethernet interface rate
  limitations between HPSDR and the host computer.
  .
- The modules are compatible with version 3.7 of gnuradio and versions of
+ The modules are compatible with version 3.8 of gnuradio and versions of
  Hermes firmware 1.8 through at 3.2. (known as OpenHPSDR protocol
  1). It is not compatible with the new OpenHPSDR protocol 2.
  .
