=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gr-hpsdr-$1.tar.gz%" \
https://github.com/Tom-McDermott/gr-hpsdr/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
